[API Reference](../README.md) > [IEventSubscription](../interfaces/IEventSubscription.md)

# Interface: IEventSubscription

## Hierarchy

**IEventSubscription**

## Implemented by

* [EventSubscription](../classes/EventSubscription.md)
* [SubscriptionCollection](../classes/SubscriptionCollection.md)
* [Web3EventSubscription](../classes/Web3EventSubscription.md)

## Index

### Methods

* [unsubscribe](IEventSubscription.md#unsubscribe)

---

## Methods

<a id="unsubscribe"></a>

###  unsubscribe

▸ **unsubscribe**(milliseconds?: *`number`*): `Promise`<`void`>

*Defined in [pubSubEventService.ts:200](https://github.com/daostack/arc.js/blob/6f704389/lib/pubSubEventService.ts#L200)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Optional` milliseconds | `number` |

**Returns:** `Promise`<`void`>

___

